<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>BasicBuilderParameters (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BasicBuilderParameters (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicBuilderParameters.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/BasicBuilderParameters.html" target="_top">Frames</a></li>
<li><a href="BasicBuilderParameters.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Class BasicBuilderParameters" class="title">Class BasicBuilderParameters</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.BasicBuilderParameters</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;, <a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/JndiBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">JndiBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileBuilderParametersImpl</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BasicBuilderParameters</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</pre>
<div class="block"><p>
 An implementation of <code>BuilderParameters</code> which handles the parameters
 of a <a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder"><code>ConfigurationBuilder</code></a> common to all concrete
 <code>Configuration</code> implementations.
 </p>
 <p>
 This class provides methods for setting standard properties supported by the
 <code>AbstractConfiguration</code> base class. A fluent interface can be used to
 set property values.
 </p>
 <p>
 This class is not thread-safe. It is intended that an instance is constructed
 and initialized by a single thread during configuration of a
 <code>ConfigurationBuilder</code>.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: BasicBuilderParameters.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.builder.BuilderParameters">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html#RESERVED_PARAMETER_PREFIX">RESERVED_PARAMETER_PREFIX</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#BasicBuilderParameters--">BasicBuilderParameters</a></span>()</code>
<div class="block">Creates a new instance of <code>BasicBuilderParameters</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#clone--">clone</a></span>()</code>
<div class="block">Clones this object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#copyPropertiesFrom-java.util.Map-java.lang.String...-">copyPropertiesFrom</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;source,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;keys)</code>
<div class="block">Copies a number of properties from the given map into this object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils">BeanHelper</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchBeanHelper-java.util.Map-">fetchBeanHelper</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Obtains the <code>BeanHelper</code> object from the specified map with
 parameters.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.html" title="class in org.apache.commons.configuration2.interpol">InterpolatorSpecification</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchInterpolatorSpecification-java.util.Map-">fetchInterpolatorSpecification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Obtains a specification for a <a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol"><code>ConfigurationInterpolator</code></a> from the
 specified map with parameters.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchProperty-java.lang.String-">fetchProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Obtains the value of the specified property from the internal map.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#getParameters--">getParameters</a></span>()</code>
<div class="block">Returns a map with all parameters defined by this objects.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#inheritFrom-java.util.Map-">inheritFrom</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;source)</code>
<div class="block">Inherits properties from the specified map.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#merge-org.apache.commons.configuration2.builder.BuilderParameters-">merge</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;p)</code>
<div class="block">Merges this object with the given parameters object.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">setBeanHelper</a></span>(<a href="../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils">BeanHelper</a>&nbsp;beanHelper)</code>
<div class="block">Sets a <code>BeanHelper</code> object to be used by the configuration builder.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a></span>(<a href="../../../../../org/apache/commons/configuration2/ConfigurationDecoder.html" title="interface in org.apache.commons.configuration2">ConfigurationDecoder</a>&nbsp;decoder)</code>
<div class="block">Sets the <code>ConfigurationDecoder</code> object for this configuration.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a></span>(<a href="../../../../../org/apache/commons/configuration2/convert/ConversionHandler.html" title="interface in org.apache.commons.configuration2.convert">ConversionHandler</a>&nbsp;handler)</code>
<div class="block">Sets the <code>ConversionHandler</code> object for this configuration.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;lookups)</code>
<div class="block">Adds additional default <code>Lookup</code> objects (i.e. lookups which are
 not associated with a specific prefix) to this configuration object.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;ci)</code>
<div class="block">Sets the <code>ConfigurationInterpolator</code> to be used for this
 configuration.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a></span>(<a href="../../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert">ListDelimiterHandler</a>&nbsp;handler)</code>
<div class="block">Sets the value of the <em>listDelimiterHandler</em> property.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;log)</code>
<div class="block">Sets the <em>logger</em> property.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;parent)</code>
<div class="block">Sets the parent <code>ConfigurationInterpolator</code> for this
 configuration's <code>ConfigurationInterpolator</code>.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,? extends <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;lookups)</code>
<div class="block">Sets additional <code>Lookup</code> objects for specific prefixes for this
 configuration object.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a></span>(<a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync">Synchronizer</a>&nbsp;sync)</code>
<div class="block">Sets the <code>Synchronizer</code> object for this configuration.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a></span>(boolean&nbsp;b)</code>
<div class="block">Sets the value of the <em>throwExceptionOnMissing</em> property.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#storeProperty-java.lang.String-java.lang.Object-">storeProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
             <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Sets a property for this parameters object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BasicBuilderParameters--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BasicBuilderParameters</h4>
<pre>public&nbsp;BasicBuilderParameters()</pre>
<div class="block">Creates a new instance of <code>BasicBuilderParameters</code>.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getParameters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameters</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getParameters()</pre>
<div class="block">Returns a map with all parameters defined by this objects. The keys of
 the map correspond to concrete properties supported by the
 <code>Configuration</code> implementation class the builder produces. The
 values are the corresponding property values. The return value must not
 be <b>null</b>. This implementation returns a copy of the internal
 parameters map with the values set so far. Collection structures
 (e.g. for lookup objects) are stored as defensive copies, so the
 original data cannot be modified.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html#getParameters--">getParameters</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a map with builder parameters</dd>
</dl>
</li>
</ul>
<a name="setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogger</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setLogger(<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;log)</pre>
<div class="block">Sets the <em>logger</em> property. With this property a concrete
 <code>Log</code> object can be set for the configuration. Thus logging
 behavior can be controlled.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>log</code> - the <code>Log</code> for the configuration produced by this builder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setThrowExceptionOnMissing-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setThrowExceptionOnMissing</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setThrowExceptionOnMissing(boolean&nbsp;b)</pre>
<div class="block">Sets the value of the <em>throwExceptionOnMissing</em> property. This
 property controls the configuration's behavior if missing properties are
 queried: a value of <b>true</b> causes the configuration to throw an
 exception, for a value of <b>false</b> it will return <b>null</b> values.
 (Note: Methods returning a primitive data type will always throw an
 exception if the property is not defined.)</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - the value of the property</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListDelimiterHandler</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setListDelimiterHandler(<a href="../../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert">ListDelimiterHandler</a>&nbsp;handler)</pre>
<div class="block">Sets the value of the <em>listDelimiterHandler</em> property. This
 property defines the object responsible for dealing with list delimiter
 and escaping characters. Note:
 <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2"><code>AbstractConfiguration</code></a>
 does not allow setting this property to <b>null</b>. If the default
 <code>ListDelimiterHandler</code> is to be used, do not call this method.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the <code>ListDelimiterHandler</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInterpolator</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setInterpolator(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;ci)</pre>
<div class="block">Sets the <code>ConfigurationInterpolator</code> to be used for this
 configuration. Using this method a custom
 <code>ConfigurationInterpolator</code> can be set which can be freely
 configured. Alternatively, it is possible to add custom <code>Lookup</code>
 objects using other methods provided by this interface. The passed in <code>ConfigurationInterpolator</code> is set
 without modifications.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ci</code> - the <code>ConfigurationInterpolator</code> for this configuration</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setPrefixLookups-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPrefixLookups</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setPrefixLookups(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,? extends <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;lookups)</pre>
<div class="block">Sets additional <code>Lookup</code> objects for specific prefixes for this
 configuration object. All <code>Lookup</code> objects contained in the given
 map are added to the configuration's <code>ConfigurationInterpolator</code>.
 Note: This method only takes effect if no
 <code>ConfigurationInterpolator</code> is set using the
 <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-"><code>BasicBuilderProperties.setInterpolator(ConfigurationInterpolator)</code></a> method. A defensive copy of the passed in map is created. A
 <b>null</b> argument causes all prefix lookups to be removed from the
 internal parameters map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lookups</code> - a map with <code>Lookup</code> objects and their associated
        prefixes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html#registerLookups-java.util.Map-"><code>ConfigurationInterpolator.registerLookups(Map)</code></a></dd>
</dl>
</li>
</ul>
<a name="setDefaultLookups-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultLookups</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setDefaultLookups(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;lookups)</pre>
<div class="block">Adds additional default <code>Lookup</code> objects (i.e. lookups which are
 not associated with a specific prefix) to this configuration object.
 Note: This method only takes effect if no
 <code>ConfigurationInterpolator</code> is set using the
 <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-"><code>BasicBuilderProperties.setInterpolator(ConfigurationInterpolator)</code></a> method. A defensive copy of the passed in collection is created. A
 <b>null</b> argument causes all default lookups to be removed from the
 internal parameters map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lookups</code> - a collection with <code>Lookup</code> objects to be added as
        default lookups at the configuration's
        <code>ConfigurationInterpolator</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html#addDefaultLookups-java.util.Collection-"><code>ConfigurationInterpolator.addDefaultLookups(Collection)</code></a></dd>
</dl>
</li>
</ul>
<a name="setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParentInterpolator</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setParentInterpolator(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;parent)</pre>
<div class="block">Sets the parent <code>ConfigurationInterpolator</code> for this
 configuration's <code>ConfigurationInterpolator</code>. Setting a parent
 <code>ConfigurationInterpolator</code> can be used for defining a default
 behavior for variables which cannot be resolved. This implementation stores the passed in
 <code>ConfigurationInterpolator</code> object in the internal parameters map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - the new parent <code>ConfigurationInterpolator</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-"><code>ConfigurationInterpolator.setParentInterpolator(ConfigurationInterpolator)</code></a></dd>
</dl>
</li>
</ul>
<a name="setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSynchronizer</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setSynchronizer(<a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync">Synchronizer</a>&nbsp;sync)</pre>
<div class="block">Sets the <code>Synchronizer</code> object for this configuration. This object
 is used to protect this configuration instance against concurrent access.
 The concrete <code>Synchronizer</code> implementation used determines whether
 a configuration instance is thread-safe or not. This implementation stores the passed in
 <code>Synchronizer</code> object in the internal parameters map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sync</code> - the <code>Synchronizer</code> to be used (a value of <b>null</b>
        means that a default <code>Synchronizer</code> is used)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConversionHandler</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setConversionHandler(<a href="../../../../../org/apache/commons/configuration2/convert/ConversionHandler.html" title="interface in org.apache.commons.configuration2.convert">ConversionHandler</a>&nbsp;handler)</pre>
<div class="block">Sets the <code>ConversionHandler</code> object for this configuration. This
 object is responsible for all data type conversions required for
 accessing configuration properties in a specific target type. If this
 property is not set, a default <code>ConversionHandler</code> is used. This implementation stores the passed in
 <code>ConversionHandler</code> object in the internal parameters map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the <code>ConversionHandler</code> to be used</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBeanHelper</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setBeanHelper(<a href="../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils">BeanHelper</a>&nbsp;beanHelper)</pre>
<div class="block">Sets a <code>BeanHelper</code> object to be used by the configuration builder.
 The <code>BeanHelper</code> is used to create the managed configuration
 instance dynamically. It is not a property of the configuration as most
 other properties defined by this interface. By setting an alternative
 <code>BeanHelper</code> the process of creating configuration instances via
 reflection can be adapted. (Some specialized configuration builder
 implementations also use a <code>BeanHelper</code> to create complex helper
 objects during construction of their result object.
 <code>CombinedConfigurationBuilder</code> for instance supports a complex
 configuration definition format which may contain several specialized
 bean declarations.) If no specific <code>BeanHelper</code> is set, the builder
 uses the default instance. This implementation stores the passed in <code>BeanHelper</code>
 object in the internal parameters map, but uses a reserved key, so that
 it is not used for the initialization of properties of the managed
 configuration object. The <code>fetchBeanHelper()</code> method can be used to
 obtain the <code>BeanHelper</code> instance from a parameters map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">setBeanHelper</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>beanHelper</code> - the <code>BeanHelper</code> to be used by the builder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigurationDecoder</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;setConfigurationDecoder(<a href="../../../../../org/apache/commons/configuration2/ConfigurationDecoder.html" title="interface in org.apache.commons.configuration2">ConfigurationDecoder</a>&nbsp;decoder)</pre>
<div class="block">Sets the <code>ConfigurationDecoder</code> object for this configuration. This
 object is called when encoded properties are queried using the
 <code>getEncodedString()</code> method. This implementation stores the passed in
 <code>ConfigurationDecoder</code> object in the internal parameters map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>decoder</code> - the <code>ConfigurationDecoder</code> to be used</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="merge-org.apache.commons.configuration2.builder.BuilderParameters-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>merge</h4>
<pre>public&nbsp;void&nbsp;merge(<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&nbsp;p)</pre>
<div class="block">Merges this object with the given parameters object. This method adds all
 property values defined by the passed in parameters object to the
 internal storage which are not already in. So properties already defined
 in this object take precedence. Property names starting with the reserved
 parameter prefix are ignored.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - the object whose properties should be merged (must not be
        <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the passed in object is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="inheritFrom-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inheritFrom</h4>
<pre>public&nbsp;void&nbsp;inheritFrom(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;source)</pre>
<div class="block">Inherits properties from the specified map. This can be used for instance
 to reuse parameters from one builder in another builder - also in
 parent-child relations in which a parent builder creates child builders.
 The purpose of this method is to let a concrete implementation decide
 which properties can be inherited. Because parameters are basically
 organized as a map it would be possible to simply copy over all
 properties from the source object. However, this is not appropriate in
 all cases. For instance, some properties - like a
 <code>ConfigurationInterpolator</code> - are tightly connected to a
 configuration and cannot be reused in a different context. For other
 properties, e.g. a file name, it does not make sense to copy it.
 Therefore, an implementation has to be explicit in the properties it
 wants to take over.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - the source properties to inherit from</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the source map is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="fetchInterpolatorSpecification-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchInterpolatorSpecification</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.html" title="class in org.apache.commons.configuration2.interpol">InterpolatorSpecification</a>&nbsp;fetchInterpolatorSpecification(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</pre>
<div class="block">Obtains a specification for a <a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol"><code>ConfigurationInterpolator</code></a> from the
 specified map with parameters. All properties related to interpolation
 are evaluated and added to the specification object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - the map with parameters (must not be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an <code>InterpolatorSpecification</code> object constructed with data
         from the map</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the map is <b>null</b> or contains
         invalid data</dd>
</dl>
</li>
</ul>
<a name="fetchBeanHelper-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchBeanHelper</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils">BeanHelper</a>&nbsp;fetchBeanHelper(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</pre>
<div class="block">Obtains the <code>BeanHelper</code> object from the specified map with
 parameters. This method can be used to obtain an instance from a
 parameters map that has been set via the <code>setBeanHelper()</code> method.
 If no such instance is found, result is <b>null</b>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - the map with parameters (must not be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>BeanHelper</code> stored in this map or <b>null</b></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the map is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;clone()</pre>
<div class="block">Clones this object. This is useful because multiple builder instances may
 use a similar set of parameters. However, single instances of parameter
 objects must not assigned to multiple builders. Therefore, cloning a
 parameters object provides a solution for this use case. This method
 creates a new parameters object with the same content as this one. The
 internal map storing the parameter values is cloned, too, also collection
 structures contained in this map. However, no a full deep clone operation
 is performed. Objects like a <code>ConfigurationInterpolator</code> or
 <code>Lookup</code>s are shared between this and the newly created instance.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a></code>&nbsp;in class&nbsp;<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a clone of this object</dd>
</dl>
</li>
</ul>
<a name="storeProperty-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>storeProperty</h4>
<pre>protected&nbsp;void&nbsp;storeProperty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                             <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Sets a property for this parameters object. Properties are stored in an
 internal map. With this method a new entry can be added to this map. If
 the value is <b>null</b>, the key is removed from the internal map. This
 method can be used by sub classes which also store properties in a map.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key of the property</dd>
<dd><code>value</code> - the value of the property</dd>
</dl>
</li>
</ul>
<a name="fetchProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchProperty</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;fetchProperty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block">Obtains the value of the specified property from the internal map. This
 method can be used by derived classes if a specific property is to be
 accessed. If the given key is not found, result is <b>null</b>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key of the property in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the property with this key or <b>null</b></dd>
</dl>
</li>
</ul>
<a name="copyPropertiesFrom-java.util.Map-java.lang.String...-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copyPropertiesFrom</h4>
<pre>protected&nbsp;void&nbsp;copyPropertiesFrom(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;source,
                                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;keys)</pre>
<div class="block">Copies a number of properties from the given map into this object.
 Properties are only copied if they are defined in the source map.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - the source map</dd>
<dd><code>keys</code> - the keys to be copied</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicBuilderParameters.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/BasicBuilderParameters.html" target="_top">Frames</a></li>
<li><a href="BasicBuilderParameters.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
